# `input [checkbox]` (directive in module `ng` )

Improve this doc

## Description

HTML checkbox.

## Usage

    <input type="checkbox"
           ng-model="{string}"
           [name="{string}"]
           [ng-true-value="{string}"]
           [ng-false-value="{string}"]
           [ng-change="{string}"]>

### Parameters

- `ngModel – {string} –`

  Assignable angular expression to data-bind to.

- `name(optional) – {string=} –`

  Property name of the form under which the control is published.

- `ngTrueValue(optional) – {string=} –`

  The value to which the expression should be set when selected.

- `ngFalseValue(optional) – {string=} –`

  The value to which the expression should be set when not selected.

- `ngChange(optional) – {string=} –`

  Angular expression to be executed when input changes due to user interaction with the input element.

## Example

#### Source

#### Demo